[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ReturnNilIfGrowHeapFails

Describe behaviour if getmem fails.

## Declaration

Source position: heaph.inc line 69

`var ReturnNilIfGrowHeapFails: Boolean;`

## Description

ReturnNilIfGrowHeapFails describes what happens if there is no more memory available from the operating system. if set to True the memory manager will return Nil. If set to False then a run-time error will occur.

Documentation generated on: Feb 26 2014